Package org.eclipse.lemminx.extensions.xerces.xmlmodel

## Class XMLModelDeclaration

- java.lang.Object
- - org.eclipse.lemminx.extensions.xerces.xmlmodel.XMLModelDeclaration

    public class XMLModelDeclaration
    extends Object

XML model declaration.

            <?xml-model href="http://www.docbook.org/xml/5.0/xsd/docbook.xsd"?>

### Constructor Summary

Constructors
`XMLModelDeclaration()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getHref()` Returns the location of the referenced schema
`int` `getHrefOffset()` Returns the start offset where href is declared.
`String` `getSchematypens()` Returns the location of the schematypens
`int` `getSchematypensOffset()` Returns the start offset where schematypens is declared.
`String` `getType()` Returns the location of the type
`int` `getTypeOffset()` Returns the start offset where type is declared.
`static boolean` `isApplicableForDTD​(XMLModelDeclaration modelDeclaration)`
`static boolean` `isApplicableForRelaxNG​(XMLModelDeclaration modelDeclaration)`
`static boolean` `isApplicableForXSD​(XMLModelDeclaration modelDeclaration)`
`static XMLModelDeclaration` `parse​(char[] data, int offset, int length)` Returns the result of parse the data of xml-model processing insruction.
`static XMLModelDeclaration` `parse​(org.apache.xerces.xni.XMLString data)`
`void` `setHref​(String href)` Set the location of the referenced schema
`void` `setHrefOffset​(int hrefOffset)` Set the start offset where href is declared.
`void` `setSchematypens​(String schematypens)` Set the location of the schematypens
`void` `setSchematypensOffset​(int schematypensOffset)` Set the start offset where schematypens is declared.
`void` `setType​(String type)` Set the location of the type
`void` `setTypeOffset​(int typeOffset)` Set the start offset where type is declared.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLModelDeclaration

    public XMLModelDeclaration()

### Method Detail

#### getHref

    public String getHref()

Returns the location of the referenced schema

Returns:
  the location of the referenced schema

#### setHref

    public void setHref​(String href)

Set the location of the referenced schema

Parameters:
  `href` - the location of the referenced schema

#### getHrefOffset

    public int getHrefOffset()

Returns the start offset where href is declared.

Returns:
  the start offset where href is declared.

#### setHrefOffset

    public void setHrefOffset​(int hrefOffset)

Set the start offset where href is declared.

Parameters:
  `hrefOffset` - the start offset where href is declared

#### getType

    public String getType()

Returns the location of the type

Returns:
  the location of the type

#### setType

    public void setType​(String type)

Set the location of the type

Parameters:
  `type` - the location of type

#### getTypeOffset

    public int getTypeOffset()

Returns the start offset where type is declared.

Returns:
  the start offset where type is declared.

#### setTypeOffset

    public void setTypeOffset​(int typeOffset)

Set the start offset where type is declared.

Parameters:
  `typeOffset` - the start offset where type is declared

#### getSchematypens

    public String getSchematypens()

Returns the location of the schematypens

Returns:
  the location of the schematypens

#### setSchematypens

    public void setSchematypens​(String schematypens)

Set the location of the schematypens

Parameters:
  `schematypens` - the location of schematypens

#### getSchematypensOffset

    public int getSchematypensOffset()

Returns the start offset where schematypens is declared.

Returns:
  the start offset where schematypens is declared.

#### setSchematypensOffset

    public void setSchematypensOffset​(int schematypensOffset)

Set the start offset where schematypens is declared.

Parameters:
  `schematypensOffset` - the start offset where schematypens is declared

#### parse

    public static XMLModelDeclaration parse​(org.apache.xerces.xni.XMLString data)

#### parse

    public static XMLModelDeclaration parse​(char[] data,
                                            int offset,
                                            int length)

Returns the result of parse the data of xml-model processing insruction.

Parameters:
  `data` - the xml-model processing instruction content data.
  `offset` - the offset
  `length` - the length
Returns:
  the result of parse the data of xml-model processing insruction.

#### isApplicableForDTD

    public static boolean isApplicableForDTD​(XMLModelDeclaration modelDeclaration)

#### isApplicableForXSD

    public static boolean isApplicableForXSD​(XMLModelDeclaration modelDeclaration)

#### isApplicableForRelaxNG

    public static boolean isApplicableForRelaxNG​(XMLModelDeclaration modelDeclaration)